Firefox 57: viele Add-Ons funktionieren nicht mehr - Downgrade hilft

Wer wie ich seit Jahren auf Mozilla Firefox schwört, vor allem auf den reichhaltigen Fundus an nützlichen Add-Ons, der wird möglicherweise vorerst an Firefox 57 wenig Freude haben. Der neue Browser ist zwar rasend schnell dank Quantum, allerdings setzt die Version auf die WebExtension API, die inkompatibel zur bisherigen API ist. Alle alten Add-Ons werden mit Firefox 57 nicht mehr funktionieren. Viele Entwickler haben ihre Add-Ons bereits angepasst bzw. neu geschrieben, viele arbeiten noch daran, oder finden keinen Weg oder haben verständlicherweise keine Muße mehr, dies zu tun.

Wer weiterhin Legacy Add-Ons verwenden will oder keine Alternative hat, der muss vorerst ein Downgrade auf die ESR-Version durchführen.

Jan Beilicke

About the author

Long-time IT professional and full-time nerd. Open source enthusiast, advocating security and privacy. Sees the cloud as other people's computers. Find me on Mastodon or Twitter.